Support » Plugin: MailPoet Checkout Subscription for WooCommerce (Legacy) » Compatible with Mailpoet 3?

  • Resolved Florence

    (@floortjahh)


    Hi! I just installed Mailpoet 3 and it says in your plugin description that you’ll work to make this addon compatible with Mailpoet 3. I’m getting this notification:

    “Hold on a minute. You need to install MailPoet Newsletters first to use MailPoet WooCommerce Add-on.”

    If I try to add a list in the Woocommerce Mailpoet settings, I get this error:

    “Fatal error: Class ‘WYSIJA’ not found in /home/floren64/public_html/skinsandskulls.nl/wp-content/plugins/mailpoet-woocommerce-add-on/includes/mailpoet-woocommerce-core-functions.php on line 24”

    So obviously they’re not compatibale yet ūüôā So what do I do? Are you guys working on it and I just need to sit tight? Or is customization needed?

    Thanks!
    Florence

Viewing 15 replies - 1 through 15 (of 16 total)
  • This plugin will no longer be maintained except for security reasons. New version coming soon for MailPoet 3.

    Ah, alright. thanks! Can I subscribe to be notified anywhere?

    You can subscribe here: http://eepurl.com/c0hQe9

    Thanks!

    Ohh the irony that you use mailchimp and not mailpoet for your list.

    I am also anxiously awaiting the updated version of this plugin. I appreciate all of your hard work!

    We have created a new plugin that is compatible and tested with MailPoet 3: https://wordpress.org/plugins/add-on-woocommerce-mailpoet/

    Plugin Author Sébastien Dumont

    (@sebd86)

    So you forked my plugin and not give me credit. That goes against the GPL licence.

    I will gladly credit you, i am sorry if credits are missing. We actually got the plugin from MailPoet who asked us to create a new plugin, to be ready for their launch of MailPoet 3, i though you had discussed this with MailPoet.
    How would you like us to credit you?

    Plugin Author Sébastien Dumont

    (@sebd86)

    Yeah… they hired me to build this plugin many years ago but did not want to maintain it. I did that all by myself. A few months back they wanted me to update it to version 3 along with the other plugins but then changed their minds to do it themselves in-house.

    Now it seems they have changed their minds again and did not contact me to do so and gave the task to you.

    Honestly, I don’t know what deal you got so I hope it was a good one. I put my time into this plugin when I could and was getting ready to release a version for MailPoet 3 with new features but now I am not so sure.

    To comply with the GPL licence please add me as a contributor. My WordPress.org username is sebd86 which you also need to add to the readme.txt file.

    Thank you.

    Our plan is to keep developing on the free version, and then add a premium advanced version later on. I was under the impression that your plugin was “abandoned” since it had not been updated in 2 years. Sorry if that is not correct.
    I have added a credits section and also yesterday added you as a contributor in the readme.txt, but for some reason i don’t understand the https://wordpress.org/plugins/add-on-woocommerce-mailpoet/ page have not yet added you to the contributors at the bottom.

    Kasper-
    What will the differences be between the free and advance version of the plugin?

    Plugin Author Sébastien Dumont

    (@sebd86)

    @helms Please don’t use this topic to discuss another developer’s plugin. Please contact Kasper directly or create a support ticket on his plugin support forum. Thank you.

    Sorry Sebastien.

    @sebastien It’s still unclear in your comments if you are going to release a new version of your plugin or not. Have you made that decision yet? Trying to decide which way to go.

    Plugin Author Sébastien Dumont

    (@sebd86)

    Currently testing. ūüôā

    Any update? Do you need some help with the new version?

    Kind regards.

Viewing 15 replies - 1 through 15 (of 16 total)
  • The topic ‘Compatible with Mailpoet 3?’ is closed to new replies.